# H245_H223AL1MParameters_arqType Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_noArq, e_typeIArq, e_typeIIArq }

## Public Member Functions

| H245_H223AL1MParameters_arqType (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_H223AnnexCArqParameters & ()
| operator const H245_H223AnnexCArqParameters & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_H223AL1MParameters_arqType::Choices

Enumerator:

  e_noArq |
  e_typeIArq |
  e_typeIIArq |

## Constructor & Destructor Documentation

H245_H223AL1MParameters_arqType::H245_H223AL1MParameters_arqType | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_H223AL1MParameters_arqType::operator H245_H223AnnexCArqParameters & | ( |  | ) |

H245_H223AL1MParameters_arqType::operator const H245_H223AnnexCArqParameters & | ( |  | ) | const

PBoolean H245_H223AL1MParameters_arqType::CreateObject | ( |  | ) |

PObject* H245_H223AL1MParameters_arqType::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h